package com.tzld.longarticle.recommend.server.mapper.aigc;

import com.tzld.longarticle.recommend.server.model.dto.*;
import com.tzld.longarticle.recommend.server.model.entity.aigc.*;
import com.tzld.longarticle.recommend.server.model.param.MiniprogramTaskParam;
import com.tzld.longarticle.recommend.server.model.param.PublishContentParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface AigcBaseMapper {

    List<PublishContentDTO> getPublishContentByTitle(List<PublishContentParam> list);

    List<PublishPlanMiniprogramTask> getMiniProgramTask(List<MiniprogramTaskParam> miniprogramTaskParamList);

    List<CrawlerPlanResultRel> getCrawlerPlanRelByChannelContentIds(List<String> channelContentIds);

    List<CrawlerPlan> getCrawlerPlanByPlanIds(List<String> planIds);

    List<NotPublishPlan> getNotPublishPlan(Long todayStart);

    Integer getPublishPlanPushType(String planId);

    List<PublishAccount> getPublishAccounts(String planId, Long todayStart);

    List<ProduceContentDTO> getSourceProduceContentByTitles(List<String> titleList);

    List<AccountTypeFansDTO> getAccountTypeFans();

    List<PublishContentDTO> getHisPublishByTitles(List<String> titleList);

    List<PublishContent> getNearestPublishContent(String publishAccountId, Long publishTimestamp, Integer size);

    CrawlerContent getCrawlerContentByChannelContentId(String channelContentId);

    List<CrawlerContent> getCrawlerContentByChannelContentIdIn(List<String> channelContentIds);

    List<ProduceContentDTO> getProduceContentByPlanId(String planId);

    List<ProducePlanExeRecord> getAllByProducePlanId(List<String> producePlanIds);

    List<PublishPlanAccountNotifyDTO> checkPublishPlanAccount();
}
