package com.tzld.longarticle.recommend.server.mapper.crawler;

import com.tzld.longarticle.recommend.server.model.dto.ArticleMatchVideos;
import com.tzld.longarticle.recommend.server.model.dto.GetOffVideos;
import com.tzld.longarticle.recommend.server.model.dto.LongArticlesText;
import com.tzld.longarticle.recommend.server.model.dto.LongArticlesVideoDTO;
import com.tzld.longarticle.recommend.server.model.entity.crawler.AccountAvgInfo;
import com.tzld.longarticle.recommend.server.model.entity.crawler.AccountCorrelation;
import com.tzld.longarticle.recommend.server.model.entity.crawler.Article;
import com.tzld.longarticle.recommend.server.model.entity.crawler.ArticleDetailInfo;
import com.tzld.longarticle.recommend.server.model.entity.longArticle.LongArticlesRootSourceId;

import java.util.List;
import java.util.Set;

public interface CrawlerBaseMapper {

    void batchInsertAccountCorrelation(List<AccountCorrelation> list);

    void batchInsertAccountAvgInfo(List<AccountAvgInfo> list);

    void deleteAccountAvgInfoByGhIdAndUpdateTime(String ghId, String date);

    void updateAccountAvgInfoStatus(String ghId, String date);

    void updateArticleAigcId(String wxsn, String publishContentId, String channelContentId);

    void updateArticleSourceRootId(String wxsn, String sourcePublishContentId, String rootPublishContentId, String rootProduceContentId);

    List<Article> getWaitingFindArticle(Long timestamp);

    Integer countGetOffVideos();

    List<GetOffVideos> pageGetOffVideos(int offset, int pageSize);

    Integer countLongArticlesRootSourceId();

    List<LongArticlesRootSourceId> pageLongArticlesRootSourceId(int offset, int pageSize);

    Integer countArticleMatchVideos();

    List<ArticleMatchVideos> pageArticleMatchVideos();

    Integer countLongArticlesVideos();

    List<LongArticlesVideoDTO> pageLongArticlesVideos(long id, int pageSize);

    List<LongArticlesText> getLongArticlesText();

    List<LongArticlesVideoDTO> getLongArticlesVideo(List<String> traceIds);

    List<Article> getByTitleMd5InAndTypeEqualsAndStatusEquals(List<String> titleMd5s, String type, Integer status);

    List<ArticleDetailInfo> getAllByWxSnIn(List<String> wxSnList);

    List<AccountAvgInfo> getAllByGhIdIn(Set<String> ghIdList);

    List<Article> getByGhIdInAndAppMsgIdInAndItemIndexAndTypeEqualsAndStatusEquals(
            Set<String> ghIdList, Set<String> appMsgIdList, Integer itemIndex, String type, Integer status);
}
